jvisualvm(1)

NAME
jvisualvm - Visually monitors, troubleshoots, and profiles Java applications.

SYNOPSIS

jvisualvm [ options ]

options
    The command-line options. See Options.

DESCRIPTION
Java VisualVM is an intuitive graphical user interface that provides detailed information about Java technology-based applications (Java applications) while they are running on a specified Java Virtual Machine (JVM). The name Java VisualVM comes from the fact that Java VisualVM provides information about the JVM software visually.

Java VisualVM combines several monitoring, troubleshooting, and profiling utilities into a single tool. For example, most of the functionality offered by the standalone tools jmap, jinfo, jstat, and jstack were integrated into Java VisualVM. Other functionality, such as some that offered by the jconsole command, can be added as optional plug-ins.

Java VisualVM is useful to Java application developers to troubleshoot applications and to monitor and improve the applications' performance. Java VisualVM enables developers to generate and analyze heap dumps, track down memory leaks, perform and monitor garbage collection, and perform lightweight memory and CPU profiling. You can expand the Java VisualVM functionality with plug-ins. For example, most of the functionality of the jconsole command is available through the MBeans Tab and JConsole Plug-in Wrapper plug-ins. You can choose from a catalog of standard Java VisualVM plug-ins by selecting Tools and then Plugins in the Java VisualVM menus.

Start Java VisualVM with the following command:

%  jvisualvm <options>

OPTIONS
The following option is available when you launch Java VisualVM

-Jjvm_option
    Pass this jvm_option to the JVM software

SEE ALSO

•   Java VisualVM developer’s site http://visualvm.java.net/

•   Java VisualVM in Java SE documentation http://docs.oracle.com/javase/8/docs/technotes/guides/visualvm/index.html